# Interface IFragmentFieldData

All Superinterfaces:
  `IFieldData`

public interface IFragmentFieldData extends IFieldData
In addition to field data from the 'New Project' wizard pages, this interface provides choices made by the user that are unique to creating a new fragment project.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`int`
`getMatch()`
Referenced plug-in version match choice
`String`
`getPluginId()`
Referenced plug-in id field
`String`
`getPluginVersion()`
Referenced plug-in version field

### Methods inherited from interface IFieldData

`getId, getLibraryName, getName, getOutputFolderName, getProvider, getSourceFolderName, getVersion, hasBundleStructure, isLegacy, isSimple`

## Method Details

### getPluginId

String getPluginId()
Referenced plug-in id field

Returns:
  the id of the fragment's plug-in

### getPluginVersion

String getPluginVersion()
Referenced plug-in version field

Returns:
  the version of the fragment's plug-in

### getMatch

int getMatch()
Referenced plug-in version match choice

Returns:
  the rule for matching the version of the referenced plug-in that can be one of the values defined in `IMatchRules`